{{ $cpnt := .Values.model }}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ $cpnt.component }}
  labels:
    {{- include "portal.labels" . | nindent 4 }}
spec:
  {{- if not .Values.autoscaling.enabled }}
  replicas: {{ .Values.replicaCount }}
  {{- end }}
  selector:
    matchLabels:
      {{- include "portal.selectorLabels" . | nindent 6 }}
      {{- include "portal.componentLabels" $cpnt | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "portal.selectorLabels" . | nindent 8 }}
        {{- include "portal.componentLabels" $cpnt | nindent 8 }}
    spec:
      serviceAccountName: {{ include "portal.serviceAccountName" . }}
      containers:
        - name: {{ $cpnt.component }}
          image: {{ .Values.image.repository }}/{{ $cpnt.repository_path }}:{{- .Values.image.tag | default .AppVersion }}
          imagePullPolicy: {{ .Values.image.pullPolicy | default "IfNotPresent" }}
          env:
            {{- include "portal.minioEnv" . | nindent 12 }}
          ports:
            - name: grpc
              containerPort: 6000
              protocol: TCP
      {{- with .Values.serviceTolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
